> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the location of subscription esim

> Returns the last known location of a subscription esim. The `currentLocation` field will be `null` until the system sees the esim location for the first time.



## OpenAPI

````yaml /openapi.yaml get /v2/subscriptions/{xid}/esim-location
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v2/subscriptions/{xid}/esim-location:
    parameters:
      - schema:
          type: string
        name: xid
        in: path
        required: true
        description: iccid or subscription id
    get:
      tags:
        - SubscriptionV2
      summary: Get the location of subscription esim
      description: >-
        Returns the last known location of a subscription esim. The
        `currentLocation` field will be `null` until the system sees the esim
        location for the first time.
      operationId: get-v2-subscriptions-xid-location
      parameters:
        - schema:
            type: string
          in: query
          name: expand
          description: can be used to fetch full country object with `expand=country`
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - currentLocation
                properties:
                  currentLocation:
                    $ref: '#/components/schemas/EsimLocation'
                    x-stoplight:
                      id: grxnpmtmk8830
              examples:
                Example 1:
                  value:
                    currentLocation:
                      country:
                        iso2: IN
                        iso3: IND
                        name: India
                      updatedAt: 1739299683
                Example 2:
                  value:
                    currentLocation:
                      country: IN
                      updatedAt: 1739299683
components:
  schemas:
    EsimLocation:
      title: EsimLocation
      x-stoplight:
        id: u9g2z2f3x0vgp
      type: object
      examples:
        - country:
            iso2: IN
            iso3: IND
            name: India
          updatedAt: 1739299683
      properties:
        updatedAt:
          type: integer
          x-stoplight:
            id: nwijrdv8n9iu1
        country:
          x-stoplight:
            id: a95okipijdqnt
          anyOf:
            - type: string
              x-stoplight:
                id: 30jan0g8e8oas
            - $ref: '#/components/schemas/Country'
              x-stoplight:
                id: ysdpv9rsrk6p5
    Country:
      title: Country
      x-stoplight:
        id: 7l9gc5f4ldz35
      type: object
      properties:
        iso2:
          type: string
          x-stoplight:
            id: lgoj42ccmcwkt
        iso3:
          type: string
          x-stoplight:
            id: ruvla1wo69u1m
        name:
          type: string
          x-stoplight:
            id: imn5mwv66uihj
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````